# std::tr1::tuple< _Elements > Class Template Reference

List of all members.

## Detailed Description

### template<typename... _Elements>
class std::tr1::tuple< _Elements >

Definition at line 133 of file tr1/tuple.

## Public Member Functions

- tuple & operator= (const tuple &__in)
- template<typename... _UElements> tuple & operator= (const tuple< _UElements...> &__in)
- tuple (const tuple &__in)
- template<typename... _UElements> tuple (const tuple< _UElements...> &__in)
- tuple (typename __add_c_ref< _Elements >::type...__elements)
- tuple ()

The documentation for this class was generated from the following file:

- tr1/tuple